
<div class="image-cropper pt-2">
    <div class="text-center">
        <button type="button" class="mb-2 btn btn-sm btn-success"
                (click)="crop()" *ngIf="showCropper">{{ 'Cut' | translate }}</button>
    </div>
    <div class="crop-wrapper" [class.hidden]="!showCropper">
        <img #image [src]="imageUrl" crossorigin alt="cropper">
    </div>
    <div class="img-preview" [class.hidden]="showCropper || hidePreview">
        <img *ngIf="imageDestination" [src]="imageDestination"
            [class]="previewClass ? previewClass : ''">
        <div *ngIf="!hideInput" class="mt-2">
            <label class="btn btn-secondary" [for]="'file-' + inputId">
                {{ "Select image" | translate }}
            </label>
            <input [id]="'file-' + inputId" type="file" class="form-control cropper-file" [class.is-invalid]="hasError" (change)="readFile($event)">
        </div>
    </div>
</div>

